#1886 closed defect (fixed)

RBTree duplicate keys possible

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

This patch enables inserting duplicate keys into rbtree. It is possible to turn on this feature when initializing the tree. Test included.

2011-08-03 Petr Benes <benesp16@…>

  • cpukit/sapi/inline/rtems/rbtree.inl, cpukit/sapi/include/rtems/rbtree.h,

cpukit/score/include/rtems/score/rbtree.h,
cpukit/score/inline/rtems/score/rbtree.inl, cpukit/score/src/rbtree.c,
cpukit/score/src/rbtreeinsert.c, testsuites/sptests/sprbtree01/sprbtree01.scn
testsuites/sptests/sprbtree01/init.c: RBTree duplicate keys possible

Attachments (2)

rbtree_duplicate_key.diff (15.7 KB) - added by Petr Benes on Aug 3, 2011 at 2:17:44 PM.
RBTree duplicate keys possible
rbtree_duplicate_key3.diff (17.9 KB) - added by Petr Benes on Aug 9, 2011 at 1:03:01 PM.
RBTree duplicate keys possible - version 2

Download all attachments as: .zip

Change History (7)

Changed on Aug 3, 2011 at 2:17:44 PM by Petr Benes

Attachment: rbtree_duplicate_key.diff added

RBTree duplicate keys possible

comment:1 Changed on Aug 5, 2011 at 7:08:52 AM by Gedare Bloom

dependson: 1891

Changed on Aug 9, 2011 at 1:03:01 PM by Petr Benes

Attachment: rbtree_duplicate_key3.diff added

RBTree duplicate keys possible - version 2

comment:2 Changed on Aug 9, 2011 at 1:03:01 PM by Petr Benes

attachments.isobsolete: 01

comment:3 Changed on Aug 11, 2011 at 1:28:33 PM by Petr Benes

blocked: 1895

comment:4 Changed on Aug 21, 2011 at 7:07:37 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch committed. I still have a few of yours left. :)

Thanks.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.